Package Details: nagstamon 3.8.0-4

Git Clone URL: https://aur.archlinux.org/nagstamon.git (read-only, click to copy)
Package Base: nagstamon
Description: Nagios status monitor for the desktop
Upstream URL: https://nagstamon.ifw-dresden.de/
Licenses: GPL
Submitter: ghostbuster
Maintainer: ghostbuster
Last Packager: ghostbuster
Votes: 16
Popularity: 0.000286
First Submitted: 2015-08-09 16:15 (UTC)
Last Updated: 2022-01-14 23:27 (UTC)

Latest Comments

ghostbuster commented on 2022-01-12 14:02 (UTC)

"I don't think that's what optdepends are for": I totally agree, but as far as I know the PKGBUILD format does not support alternatives as part of the depends list, so there is currently no way to express the real dependency situation.

"[edit] Sorry, I forgot that python-requests-kerberos is listed in depends. Maybe it's possible to switch it to optdepends instead and add python-requests-gssapi to depends?": Nagstamon always prefers gssapi and there is no user-controllable way to change this preference. So nagstamon would always import gssapi, if this package would be a hard dependency, and the optdepend kerberos would never get imported, regardless of its installation.

twouters commented on 2022-01-12 07:50 (UTC) (edited on 2022-01-12 07:59 (UTC) by twouters)

@ghostbuster: I don't think that's what optdepends are for: the package doesn't seem to work without either python-requests-gssapi or python-requests-kerberos.

Considering that the current maintainer of python-requests-kerberos advises to use python-requests-gssapi instead, it might be better to set it as a hard dependency.

[edit] Sorry, I forgot that python-requests-kerberos is listed in depends. Maybe it's possible to switch it to optdepends instead and add python-requests-gssapi to depends?

[edit 2] Nevermind me, it's probably better to wait for the p-r-kerberos package to be fixed

ghostbuster commented on 2022-01-11 22:43 (UTC) (edited on 2022-01-11 22:56 (UTC) by ghostbuster)

I have added python-requests-gssapi as optdepends. As nagastmon prefers p-r-gssapi over p-r-kerberos, p-r-gssapi will used if present, Nagstamon has no config option to let the user controll this.

Regarding the "ModuleNotFoundError: No module named 'spnego'" error chrit reported, I was able to reproduce the error. The error is an already known bug of the p-r-kerberos package (https://bugs.archlinux.org/task/73324?project=5&string=python-requests-kerberos). As workaround you could install python-pyspnego which would allow p-r-kerberos to work properly or you could install p-r-gssapi, which would change the kerberos auth backend used. The error occurs even if you don't use kerberos auth in your setup, but in any case both workaround should be working.

gerdesj commented on 2022-01-11 12:01 (UTC)

@ghostbuster - "Most likely, I will add requests-gssapi as optdepend." - that sounds like the best plan for now. It will keep people using -kerberos as is and provide a way for those like me to move on with -gssapi.

ghostbuster commented on 2022-01-11 11:44 (UTC)

@chrit: I did not find an import for spnego in the nagstamon source code, please provide a full stacktrace of the crash.

@gerdesj: requests-gssapi and requests-kerberos seem to behave different, although requests-gssapi claims to be a fully compatible drop-in replacement for requests-kerberos. If this package depends on python-requests-gssapi Nagstamon always uses requests-gssapi instead of requests-kerberos and there seems to be no way for the user to change this behaviour, so I have to think about this topic a bit more. Most likely, I will add requests-gssapi as optdepend.

chrit commented on 2022-01-11 11:09 (UTC)

Please add dependency python-pyspnego Tool crashes with: ModuleNotFoundError: No module named 'spnego'

gerdesj commented on 2022-01-10 13:13 (UTC)

Please add python-requests-gssapi to depends.

I use Kerberos to authenticate to my Icinga instances. That stopped working. I flagged python-requests-kerberos as out of date and it was recently updated but that didn't fix my problem. I went back to the nagstamon code and noticed in

https://github.com/HenriWahl/Nagstamon/blob/master/Nagstamon/Servers/Generic.py

line 56 - "# requests_gssapi is newer but not available everywhere"

I installed python-requests-gssapi from the AUR and that fixed my problem.

samuelbernardo commented on 2022-01-04 11:40 (UTC)

Sorry, I didn't clean all caches from AUR. After cleaning all caches and install it again it worked, just like magenbrot mentioned before.

samuelbernardo commented on 2022-01-04 11:33 (UTC)

archlinux python move up to 3.10 release. Current installed modules for nagstamon are for release 3.9. Even adapting to use current version with python3.9 is not the best way, since many dependencies are not available, so would break python maintenance using packages (need to use pip afterwards to import all missing dependencies). Also removing and installing again nagstamon don't solve the issue, since current pkgbuild install the compiled sources for python3.9. Looking to upstream in documentation they mention to support python >= 3.6 so maybe better to update the pkgbuild to install the modules into current python version. So current solution was to install nagstamon-git that compiles from source and install the modules for python3.10.

magenbrot commented on 2021-12-15 10:05 (UTC)

@ghostbuster, you're right. I cleared yay's cache and forced a rebuild. It's working now. thank you for the quick answer!

ghostbuster commented on 2021-12-15 09:56 (UTC)

I'm unable to reproduce the error with a fresh build of the package. As Python seems to be unable to find the Nagstamon module, there might be some kind of issue in your python environment.

magenbrot commented on 2021-12-15 09:41 (UTC)

nagstamon won't run currently: Traceback (most recent call last): File "/usr/bin/nagstamon", line 29, in <module> from Nagstamon.Config import conf ModuleNotFoundError: No module named 'Nagstamon'

ghostbuster commented on 2021-11-21 00:19 (UTC)

Fixed

twouters commented on 2021-11-17 16:05 (UTC)

python-setuptools build dep seems to be missing.

Traceback (most recent call last):
  File "/build/nagstamon/src/Nagstamon-3.8.0/setup.py", line 52, in <module>
    from setuptools import setup
ModuleNotFoundError: No module named 'setuptools'

ghostbuster commented on 2021-04-10 17:55 (UTC)

python-dateutil has been added.

mortzu commented on 2021-04-10 08:08 (UTC)

python-dateutil as dep is missing

irb commented on 2021-03-02 21:01 (UTC)

There seems to be an issue with running nagstamon (both this package and nagstamon-beta) with plasma-desktop-5.21.2-1. As noted in https://github.com/HenriWahl/Nagstamon/issues/696 the monitor runs but isn't visible under X11 / KDE Plasma.

ghostbuster commented on 2020-12-04 18:09 (UTC)

Thanks gerdesj for the archive.

I was able to compare both archive and check the changes. There were some code formatting changes and one additional check in the area of the user interface. In the meantime the upstream developer confirmed that a rebuild of the release archives was needed for Fedora after the 3.4.1 release. He assumes that this rebuild triggered a full rebuild and thus a change of checksums.

The PKGBUILD has been updated with the new checksums.

gerdesj commented on 2020-12-04 15:40 (UTC)

File sent to ghostbuster

ghostbuster commented on 2020-12-04 15:24 (UTC)

Could you send me send the old archive file by e-mail? I'd like to compare the two versions to speed up the update of this package and give some hopefully helpful feedback to the developer.

gerdesj commented on 2020-12-04 10:32 (UTC)

I have found a copy of the .tar.gz that matches the 927... md5sum on my work PC that I'm not using much these days ...

A diff against both the old and new .tar.gz shows about 40 lines of changed code. It looks benign - patches and a few comments. I'm no expert but there are no signs of anything that looks like a compromise.

ghostbuster commented on 2020-12-02 13:21 (UTC)

I can confirm, that the checksums have changed for the downloadable packages, but as there is no obvious reason why checksums should change ~11 month after release, I will double-check first before updating this package.

e_fadeev commented on 2020-12-02 11:30 (UTC) (edited on 2020-12-02 11:46 (UTC) by e_fadeev)

Need to change md5sums and sha256sums for install ver. 3.4.1

Patch:

15c15
<         '927b7a6e0e3e1c747dc31e5c12c1d00d'
---
>         'f35a65d9f8b9b02cbecb190ac9737c23'
18c18
<         '2d26cf4d64a6e27fe55f1c5e5f042af511bcb09876ae16a456aee5800a98adea'
---
>         '7a9611f40b08269bba4100ab2598ee089c7d0ebc6c4e9d7132689342f71150ec'

Result PKGBUILD:

# Maintainer: ghostbuster <aur@sieverdingbeck.com>
_pkgname=Nagstamon
pkgname=nagstamon
pkgver=3.4.1
pkgrel=1
pkgdesc="Nagios status monitor for the desktop"
depends=('python-pyqt5' 'qt5-multimedia' 'qt5-svg' 'python-requests' 'python-beautifulsoup4' 'python-keyring' 'python-psutil' 'python-requests-kerberos' 'python-lxml' 'python-dbus')
arch=('any')
url="https://nagstamon.ifw-dresden.de/"
license=('GPL')
source=(
        "https://nagstamon.ifw-dresden.de/files/stable/$_pkgname-$pkgver.tar.gz"
)
md5sums=(
        'f35a65d9f8b9b02cbecb190ac9737c23'
)
sha256sums=(
        '7a9611f40b08269bba4100ab2598ee089c7d0ebc6c4e9d7132689342f71150ec'
)

package() {
cd "$srcdir/$_pkgname"
# setup.py imports AppInfo from Nagstamon.Config which leads to a import of keyring
# importing keyring fails in a fakeroot environment, which seems to be somehow related to a the keyring connection init triggered by the import
# to avoid the issue setup.py is rewritten here to resolve the need for the AppInfo import
name=$(sed '0,/class AppInfo/d' Nagstamon/Config.py  | grep "NAME " | sed -e "s/^[\t ]*NAME = '//" -e "s/'$//")
version=$(sed '0,/class AppInfo/d' Nagstamon/Config.py  | grep "VERSION " | sed -e "s/^[\t ]*VERSION = '//" -e "s/'$//")
sed -i setup.py -e "s/from Nagstamon.Config import AppInfo//" -e "s/AppInfo.NAME/'${name}'/" -e "s/AppInfo.VERSION/'${version}'/"
sed -i Nagstamon/setup.py -e "s/from Nagstamon.Config import AppInfo//" -e "s/AppInfo.NAME/'${name}'/" -e "s/AppInfo.VERSION/'${version}'/"
sed -i setup.py -e "s/from Nagstamon.Helpers import get_distro//"
sed -i setup.py -e "s/get_distro()/('arch', '', 'Arch Linux')/"
python setup.py install --prefix=/usr --root="$pkgdir"
mv $pkgdir/usr/bin/nagstamon.py $pkgdir/usr/bin/nagstamon
}

ziopera commented on 2020-01-07 15:00 (UTC) (edited on 2020-01-07 15:01 (UTC) by ziopera)

This is my(working) PKGBUILD for version 3.4

# Maintainer: ghostbuster <aur@sieverdingbeck.com>
_pkgname=Nagstamon
pkgname=nagstamon
pkgver=3.4
pkgrel=1
pkgdesc="Nagios status monitor for the desktop"
depends=('python-pyqt5' 'qt5-multimedia' 'qt5-svg' 'python-requests' 'python-beautifulsoup4' 'python-keyring' 'python-psutil' 'python-requests-kerberos' 'python-lxml' 'python-dbus')
arch=('any')
url="https://nagstamon.ifw-dresden.de/"
license=('GPL')
source=(
        "https://nagstamon.ifw-dresden.de/files/stable/$_pkgname-$pkgver.tar.gz"
)
md5sums=(
        '76c3b7cabb8143e94f6845cd63516ffe'
)
sha256sums=(
        '9ad3fa7ad46239bc53f4153e9e8487d2fa93aa8d66085f1c5e9fdef7c5394b7e'
)

package() {
  cd "$srcdir/$_pkgname"
  # setup.py imports AppInfo from Nagstamon.Config which leads to a import of keyring
  # importing keyring fails in a fakeroot environment, which seems to be somehow related to a the keyring connection init triggered by the import
  # to avoid the issue setup.py is rewritten here to resolve the need for the AppInfo import
  name=$(sed '0,/class AppInfo/d' Nagstamon/Config.py  | grep "NAME " | sed -e "s/^[\t ]*NAME = '//" -e "s/'$//")
  version=$(sed '0,/class AppInfo/d' Nagstamon/Config.py  | grep "VERSION " | sed -e "s/^[\t ]*VERSION = '//" -e "s/'$//")
  sed -i setup.py -e "s/from Nagstamon.Config import AppInfo//" -e "s/AppInfo.NAME/'${name}'/" -e "s/AppInfo.VERSION/'${version}'/"
  sed -i Nagstamon/setup.py -e "s/from Nagstamon.Config import AppInfo//" -e "s/AppInfo.NAME/'${name}'/" -e "s/AppInfo.VERSION/'${version}'/"
  sed -i setup.py -e "s/platform.dist()/('arch', '', '')/g"
  python setup.py install --prefix=/usr --root="$pkgdir"
  mv $pkgdir/usr/bin/nagstamon.py $pkgdir/usr/bin/nagstamon
}

paschty commented on 2020-01-02 10:30 (UTC) (edited on 2020-01-02 10:32 (UTC) by paschty)

I did this to upgrade to 3.4:


$ git diff origin/master
diff --git a/PKGBUILD b/PKGBUILD
index 657fef8..83f5d1c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
 # Maintainer: ghostbuster aur@sieverdingbeck.com
 _pkgname=Nagstamon
 pkgname=nagstamon
-pkgver=3.2.1
+pkgver=3.4
 pkgrel=2
 pkgdesc="Nagios status monitor for the desktop"
 depends=('python-pyqt5' 'qt5-multimedia' 'qt5-svg' 'python-requests' 'python-beautifulsoup4' 'python-keyring' 'python-psutil' 'python-requests-kerberos' 'python-lxml' 'python-dbus')
@@ -12,10 +12,10 @@ source=(
         "https://nagstamon.ifw-dresden.de/files/stable/$_pkgname-$pkgver.tar.gz"
 )
 md5sums=(
-        '9ab4d49c1bb88c898c3ca2a1fc8a9065'
+        '76c3b7cabb8143e94f6845cd63516ffe'
 )
 sha256sums=(
-        'a834460e78dc01f62171a83c4a11d890702264ed662863dff39edaf14ae98880'
+        '9ad3fa7ad46239bc53f4153e9e8487d2fa93aa8d66085f1c5e9fdef7c5394b7e'
 )

package() {

wuestengecko commented on 2019-12-27 11:04 (UTC)

@maxdevaine, to report a new upstream version please use the "Flag package out of date" link in the box on the right.

maxdevaine commented on 2019-12-27 08:04 (UTC)

Download url not working, there is new version : https://nagstamon.ifw-dresden.de/files/stable/Nagstamon-3.4.tar.gz

ghostbuster commented on 2019-11-19 22:03 (UTC)

package build for nagstamon is working again. I added the workaround wuestengecko proposed.

badpixelbr commented on 2019-11-18 13:23 (UTC)

cant build this package. after makepkg -sriC i got:

Traceback (most recent call last): File "setup.py", line 36, in <module> DIST, DIST_VERSION, DIST_NAME = platform.dist() AttributeError: module 'platform' has no attribute 'dist' ==> ERROR: A failure occurred in package(). Aborting...

wuestengecko commented on 2019-11-14 16:54 (UTC)

Python 3.8 removes platform.dist(), which is needed by setup.py. The following script stubs it out with the value it used to return:

sed -i setup.py -e "s/platform.dist()/('arch', '', '')/g"

ghostbuster commented on 2018-07-10 21:49 (UTC)

The observed issues was caused by a keyring connection initialization triggered by a python import in the fakeroot environment used for the package build. I modified the PKGBUILD to work around the not working (but also not really needed) import. Building the package should work again for all environments.

presianbg commented on 2018-07-05 19:14 (UTC)

@ghostbuster Sent on your e-mail. Thanks for looking into this.

ghostbuster commented on 2018-07-05 18:39 (UTC)

I can confirm the posted traceback for my own system but the build does not fail in a clean change root. I assume there is some kind of interference with other python packages in the environment. I'll investigate the issue, but it will take some time. Please build nagstamon in a clean chroot until I figured out the root cause for this traceback.

@presianbg: Could you send me the output of 'python --version' and 'pacman -Qs python' of the affected system by mail?

presianbg commented on 2018-07-05 18:00 (UTC)

I have some problems with building this app:

==> Starting package()...
Traceback (most recent call last):
  File "setup.py", line 26, in <module>
    from Nagstamon.Config import AppInfo
  File "/tmp/yaourt-tmp-pyankulov/aur-nagstamon/src/Nagstamon/Nagstamon/Config.py", line 29, in <module>
    import keyring
  File "/usr/lib/python3.6/site-packages/keyring/__init__.py", line 3, in <module>
    from .core import (set_keyring, get_keyring, set_password, get_password,
  File "/usr/lib/python3.6/site-packages/keyring/core.py", line 154, in <module>
    init_backend()
  File "/usr/lib/python3.6/site-packages/keyring/core.py", line 67, in init_backend
    keyrings = filter(limit, backend.get_all_keyring())
  File "/usr/lib/python3.6/site-packages/keyring/util/__init__.py", line 21, in wrapper
    func.always_returns = func(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/keyring/backend.py", line 179, in get_all_keyring
    exceptions=TypeError))
  File "/usr/lib/python3.6/site-packages/keyring/util/__init__.py", line 31, in suppress_exceptions
    for callable in callables:
  File "/usr/lib/python3.6/site-packages/keyring/backend.py", line 171, in is_class_viable
    keyring_cls.priority
  File "/usr/lib/python3.6/site-packages/keyring/util/properties.py", line 24, in __get__
    return self.fget.__get__(None, owner)()
  File "/usr/lib/python3.6/site-packages/keyring/backends/SecretService.py", line 37, in priority
    bus = secretstorage.dbus_init()
  File "/usr/lib/python3.6/site-packages/secretstorage/__init__.py", line 41, in dbus_init
    return connect_and_authenticate()
  File "/usr/lib/python3.6/site-packages/jeepney/integrate/blocking.py", line 76, in connect_and_authenticate
    auth_parser.feed(sock.recv(1024))
  File "/usr/lib/python3.6/site-packages/jeepney/auth.py", line 25, in feed
    line, self.buffer = self.buffer.split(b'\r\n', 1)
ValueError: not enough values to unpack (expected 2, got 1)
==> ERROR: A failure occurred in package().
    Aborting...

ghostbuster commented on 2018-06-24 18:15 (UTC)

I added python-dbus to the dependencies

ogarcia commented on 2018-06-22 06:56 (UTC) (edited on 2018-06-22 06:57 (UTC) by ogarcia)

TL/DR: There is a missing dependency of python-dbus

If I try to build nagstamon in a clean install I have the following error.

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/keyring/backends/kwallet.py", line 37, in priority
    bus = dbus.SessionBus(mainloop=DBusGMainLoop())
AttributeError: module 'dbus' has no attribute 'SessionBus'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "setup.py", line 26, in <module>
    from Nagstamon.Config import AppInfo
  File "/build/nagstamon/src/Nagstamon/Nagstamon/Config.py", line 29, in <module>
    import keyring
  File "/usr/lib/python3.6/site-packages/keyring/__init__.py", line 3, in <module>
    from .core import (set_keyring, get_keyring, set_password, get_password,
  File "/usr/lib/python3.6/site-packages/keyring/core.py", line 154, in <module>
    init_backend()
  File "/usr/lib/python3.6/site-packages/keyring/core.py", line 67, in init_backend
    keyrings = filter(limit, backend.get_all_keyring())
  File "/usr/lib/python3.6/site-packages/keyring/util/__init__.py", line 21, in wrapper
    func.always_returns = func(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/keyring/backend.py", line 173, in get_all_keyring
    exceptions=TypeError))
  File "/usr/lib/python3.6/site-packages/keyring/util/__init__.py", line 31, in suppress_exceptions
    for callable in callables:
  File "/usr/lib/python3.6/site-packages/keyring/backend.py", line 165, in is_class_viable
    keyring_cls.priority
  File "/usr/lib/python3.6/site-packages/keyring/util/properties.py", line 24, in __get__
    return self.fget.__get__(None, owner)()
  File "/usr/lib/python3.6/site-packages/keyring/backends/kwallet.py", line 38, in priority
    except dbus.DBusException as exc:
AttributeError: module 'dbus' has no attribute 'DBusException'

But if I install python-dbus all work fine.

tsipizic commented on 2017-09-21 11:38 (UTC)

Hello, Link in PKGBUILD returns 404. This is the correct one now https://nagstamon.ifw-dresden.de/files/stable/Nagstamon-3.0.1.tar.gz

etothepii commented on 2017-09-14 08:23 (UTC) (edited on 2017-09-14 08:33 (UTC) by etothepii)

Hi! Yesterday, nagstamon v3.0 has been released. This means that the PKGBUILD is now outdated. Besides new pkgver and checksums, there are new dependencies. Nagstamon now needs kerberos to work. Installing python-pykerberos and python-requests-kerberos worked for me.

riek42 commented on 2017-02-01 01:23 (UTC)

Hi, after installation I had trouple starting nagstamon, because of a segmentation fault. I found the following issue in the official github repository: https://github.com/HenriWahl/Nagstamon/issues/357 Turns out I installed "xfce4" without "xfce4-goodies", after installing "xfce4-notifyd", I was able to start nagstamon without problems. Hope that helps anybody with the same problem.

ogarcia commented on 2017-01-17 11:29 (UTC)

@ghostbuster I found the issue. Simply rebuild package do the trick. I think that a Python update may be the culprit.

ghostbuster commented on 2017-01-11 21:57 (UTC)

Currently I'm unable to reproduce the traceback you reported. After a quick review of both PGKBUILD files and both source trees I don't see any obvious reason why the two packages should behave different. Is the traceback reproducible if you reinstall nagstamon? Do you use python3 as default python interpreter (/usr/bin/python points to python3). If the problem is reproducible with a installed nagstamon, does '/usr/bin/python -m Nagstamon.Config' exit without out error message and return code 0? What about '/usr/bin/python -I -m Nagstamon.Config'?

ogarcia commented on 2017-01-09 08:54 (UTC) (edited on 2017-01-09 08:55 (UTC) by ogarcia)

The package seems broken: Traceback (most recent call last): File "/usr/bin/nagstamon", line 36, in <module> from Nagstamon.Config import (conf, ModuleNotFoundError: No module named 'Nagstamon' Note: nagstamon-beta works fine

clep commented on 2016-10-22 13:45 (UTC)

PKGBUILD is outdated not the whole package. Changes needed for: Version pkgver=2.0 -> pkgver=2.0.1 Don't forget the md5 and sha256 sums: https://nagstamon.ifw-dresden.de/download/

ogarcia commented on 2016-10-20 07:05 (UTC)

You forget the qt5-svg dependency ;)

ghostbuster commented on 2016-08-25 19:04 (UTC)

I created a nagstamon-beta package for all, who want to test the 2.0-beta.

DennisSch commented on 2016-07-13 13:30 (UTC)

I didn't test it yet, but nagstamon2 is already in beta, so it could be considered for updating in my opinion.

jwhipp commented on 2016-01-18 19:37 (UTC)

+1 for Alpha.

ogarcia commented on 2015-10-27 19:06 (UTC)

@ghostbuster Great. Much better now! I also agree not to upgrade the package to 2.0 alpha.

ghostbuster commented on 2015-10-02 19:26 (UTC)

I will check your other comments and integrate them into the package. Upstream version is still 1.0.1, the available 2.0 version is still in alpha state and I won't update this package to an alpha version.

ogarcia commented on 2015-10-02 15:58 (UTC)

Ah! And please add this patch to fix the self-signed certificate SSL error (https://github.com/HenriWahl/Nagstamon/issues/126): --- Nagstamon.old/Nagstamon/Actions.py +++ Nagstamon/Nagstamon/Actions.py @@ -31,7 +31,8 @@ import gtk # if running on windows import winsound import platform -if platform.system() == "Windows": +if platform.system() == "Windows":# necessary for Python-2.7.9-ssl-support-fix https://github.com/HenriWahl/Nagstamon/issues/126 + import winsound # Garbage collection @@ -830,30 +831,33 @@ def BuildURLOpener(server): The MultipartPostHandler is needed for submitting multipart forms from Opsview """ # trying with changed digest/basic auth order as some digest auth servers do not - # seem to work wi the previous way + # seem to work the previous way if str(server.use_proxy) == "False": server.proxy_handler = urllib2.ProxyHandler({}) - urlopener = urllib2.build_opener(server.digest_handler,\ - server.basic_handler,\ - server.proxy_handler,\ - urllib2.HTTPCookieProcessor(server.Cookie),\ + urlopener = urllib2.build_opener(server.digest_handler, + server.basic_handler, + server.proxy_handler, + server.https_handler, + urllib2.HTTPCookieProcessor(server.Cookie), MultipartPostHandler) elif str(server.use_proxy) == "True": if str(server.use_proxy_from_os) == "True": - urlopener = urllib2.build_opener(server.digest_handler,\ - server.basic_handler,\ - urllib2.HTTPCookieProcessor(server.Cookie),\ + urlopener = urllib2.build_opener(server.digest_handler, + server.basic_handler, + server.https_handler, + urllib2.HTTPCookieProcessor(server.Cookie), MultipartPostHandler) else: # if proxy from OS is not used there is to add a authenticated proxy handler server.passman.add_password(None, server.proxy_address, server.proxy_username, server.proxy_password) server.proxy_handler = urllib2.ProxyHandler({"http": server.proxy_address, "https": server.proxy_address}) server.proxy_auth_handler = urllib2.ProxyBasicAuthHandler(server.passman) - urlopener = urllib2.build_opener(server.proxy_handler,\ - server.proxy_auth_handler,\ - server.digest_handler,\ - server.basic_handler,\ - urllib2.HTTPCookieProcessor(server.Cookie),\ + urlopener = urllib2.build_opener(server.proxy_handler, + server.proxy_auth_handler, + server.digest_handler, + server.basic_handler, + server.https_handler, + urllib2.HTTPCookieProcessor(server.Cookie), MultipartPostHandler) return urlopener --- Nagstamon.old/Nagstamon/Server/Generic.py +++ Nagstamon/Nagstamon/Server/Generic.py @@ -30,6 +30,9 @@ import traceback import base64 import re import gobject +# necessary for Python-2.7.9-ssl-support-fix https://github.com/HenriWahl/Nagstamon/issues/126 +if sys.version_info >= (2, 7, 9): + import ssl # to let Linux distributions use their own BeautifulSoup if existent try importing local BeautifulSoup first # see https://sourceforge.net/tracker/?func=detail&atid=1101370&aid=3302612&group_id=236865 @@ -141,6 +144,15 @@ class GenericServer(object): self.proxy_handler = None self.proxy_auth_handler = None self.urlopener = None + # necessary for Python-2.7.9-ssl-support-fix https://github.com/HenriWahl/Nagstamon/issues/126 + if sys.version_info >= (2, 7, 9): + try: + self.https_handler = urllib2.HTTPSHandler(context=ssl._create_unverified_context()) + except: + self.https_handler = urllib2.HTTPSHandler() + else: + self.https_handler = urllib2.HTTPSHandler() + # headers for HTTP requests, might be needed for authorization on Nagios/Icinga Hosts self.HTTPheaders = dict() # attempt to use only one bound list of TreeViewColumns instead of ever increasing one

ogarcia commented on 2015-10-02 15:01 (UTC)

In Gnome Shell not appear application icon. You can simplify the nagstamon.desktop in this: [Desktop Entry] Name=Nagstamon Comment=Nagios status monitor Icon=/usr/lib/python2.7/site-packages/Nagstamon/resources/nagstamon.svg Exec=nagstamon Terminal=false Type=Application Categories=Network;System;Monitor;GTK; StartupNotify=false In the other hand, please remove this: install -Dm644 "$srcdir/nagstamon.desktop" "$pkgdir/etc/xdg/autostart/nagstamon.desktop" Not is neccesary add in autostart cause nagstamon not is a "daemon".